#!/bin/bash
#SBATCH --nodes=1          # Αριθμός nodes
#SBATCH --ntasks=1         # Αριθμός MPI Tasks
#SBATCH --ntasks-per-node=1  # Αριθμός MPI Tasks / node
#SBATCH --cpus-per-task=20   # Αριθμός Threads / MPI Task
#SBATCH --mem=56G            # Μνήμη ανά node
#SBATCH -A testproj          # Accounting tag (set2015 για 
                             # όλους στο training)
#SBATCH -p compute           # Σε ποιό partition
#SBATCH -t 24:00:00          # Ζητούμενος χρόνος
module purge
module load gnu
module load intel
module load intelmpi

export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK



#./dgemm_small_atlas.x >>  DGEMM.SMMvsATLAS.out
#./dgemm_small_lapack.x >> DGEMM.SMMvsNETLIB.out
#./dgemm_small_openblas.x >> DGEMM.SMMvsOPENBLAS.out

./dgemm_mklp.x >> DGEMM.MKL.P.out
./dgemm_atlasp.x >> DGEMM.ATLAS.P.out
./dgemm_openblasp.x >> DGEMM.openblas.P.out
#./dgesv_openblasp.x >> DGESV.OPENBLAS.P.out
#./dgesv_atlasp.x  >> DGESV.ATLAS.P.out
./dgemm_mkl.x >> DGEMM.MKL.out
./dgemm_atlas.x >> DGEMM.ATLAS.out
./dgemm_openblas.x >> DGEMM.openblas.out
./dgemm_lapack.x >> DGEMM.NETLIB.out
./dgemm_matmul.x >> DGEMM.MATMUL.out
#./dgemm_code.x >> DGEMM.CODE.out
#./dgesv_atlas.x  >> DGESV.ATLAS.out
#./dgesv_lapack.x >> DGESV.NETLIB.out
#./dgesv_openblas.x >> DGESV.OPENBLAS.out
